//
//  SceneDelegate.swift
//  App Store Search
//
//  Created by Nikita Somenkov on 28.01.2022.
//

import UIKit

final class SceneDelegate: UIResponder, UIWindowSceneDelegate {

    var window: UIWindow?

    func scene(_ scene: UIScene, willConnectTo session: UISceneSession, options connectionOptions: UIScene.ConnectionOptions) {
        guard let windowScene = (scene as? UIWindowScene) else {
            return
        }

        let appSearchViewController = AppSearchViewController()
        let navigationController = UINavigationController(rootViewController: appSearchViewController)
        navigationController.navigationBar.prefersLargeTitles = true

        window = UIWindow(windowScene: windowScene)
        window?.rootViewController = navigationController
        window?.makeKeyAndVisible()
    }

}

