//
//  AppEnity.swift
//  App Store Search
//
//  Created by Nikita Somenkov on 28.01.2022.
//

import Foundation

struct AppEnity: Hashable {

    let id: Int
    let bundleId: String
    let position: Int

    let name: String
    let developer: String
    let rating: Double

    let appStoreURL: URL
    let iconURL: URL
    let screenshotsURLs: [URL]

    static func == (lhs: AppEnity, rhs: AppEnity) -> Bool {
        lhs.id == rhs.id
    }

    func hash(into hasher: inout Hasher) {
        hasher.combine(id)
    }

}
